Name:           rfdump
Version:        1.6
Release:        11%{?dist}
Summary:        RFID tags detector

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.rfdump.org
Source0:        http://www.rfdump.org/dl/%{name}-%{version}.tar.bz2
Patch0:         %{name}-1.6-optflags.patch
Patch1:         %{name}-linking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)     

BuildRequires:  gtk2-devel
BuildRequires:  expat-devel
BuildRequires:  libglade2-devel
BuildRequires:  desktop-file-utils


%description
RFDump is a tool to detect RFID-Tags and show their meta information:
Tag ID, Tag Type, manufacturer etc. The user data memory of a tag can
be displayed and modified using either a Hex or an ASCII editor. Tag
contents can be stored and loaded using a specific XML fomrat. This
effectively allows to copy data from one tag to another. In addition,
the integrated cookie feature demonstrates how easy it is for a
company to abuse RFID technology to spy on their customers.  RFDump
works with the ACG Multi-Tag Reader or similar card reader hardware.


%prep
%setup -q
%patch0 -p0 -b .optflags
%patch1 -p0 -b .linking


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

desktop-file-install                                \
        --dir %{buildroot}%{_datadir}/applications  \
        --delete-original                           \
        --add-category="Electronics;"               \
        %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.6-9
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun May 02 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.6-7
- Patch for fixing #564793

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6-6
- Use bzipped upstream tarball.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6-4
- Patch to honor $RPM_OPT_FLAGS during build.
- Disable autotools dependency tracking during build for cleaner build logs
  and possible slight build speedup.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 05 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.6-2
- Fixed source url

* Sat Jan 03 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.6-1
- Initial package for Fedora

